Subject: Re: bug#22789: 25.1.50; In last master build https connections stop working

From: Eli Zaretskii <[email-masked]>
Date: Tue, 01 Mar 2016 05:43:45 +0200

> From: Alain Schneble <[email-masked]>
> Date: Tue, 1 Mar 2016 00:20:45 +0100
> Cc: [email-masked], [email-masked]
> 
> See also patch in the previous message.  If we decide to go this
> direction, then I think we should also inhibit the first call to
> gnutls_try_handshake from gnutls_boot, for async sockets.  This call is
> currently implicit and will probably fail (return with EAGAIN) in all
> practical cases.

That patch exposes a w32-specific stuff to process.c, so it cannot be
right.

That's why I asked for a description of how this works on GNU/Linux.
With that information in hand, we can reason what is different on w32.